<% script_url = "/" + url_options[:script_name]
  if script_url == "/"
    script_url = ""
  end %>
<script type="text/javascript">
var check_submitted = 0;

localDomains = "<%= @local_domains %>";
arInput = 0;
max_receivers_num = <%= @params_app_env['RECEIVERS_LIMIT'].to_i %>;
for (i = 2 ; i <= max_receivers_num; i++) {
  receivers[i] = 0;
}
arInput_f = 0;
max_files_num = <%= @params_app_env['FILE_SEND_LIMIT'].to_i %>;
for (i = 2 ; i <= max_files_num; i++) {
  files[i] = 0;
}
files[1] = 1;

$(document).ready(function() {
  $.validationEngineLanguage.newLang(localDomains);
  $("#send_matter").validationEngine({
    promptPosition: "centerRight",
    onValidationComplete: function(form, status){
      if (status == true) {
        var submitbtn = document.getElementById("submitbtn");
        submitbtn.innerHTML = '<%= image_tag("common/but_send_x.jpg") %>';
        document.getElementById("send_matter").submit();
      } else {
        check_submitted = 1;
      }
    }
  })

});
target_url = "<%= url_for(controller: :file_send, action: :upload) %>";
</script>

<div class="modal"></div>

<%= form_with(model: @send_matter, url: {action: :create_noflash},
  id: 'send_matter', html: {name: "send_matter", multipart: true}) do |f| -%>
  <%= f.hidden_field :relayid, {value: @relay_id} %>
  <h1>ファイル送信（簡易バージョン）</h1>
  <p class="comment">
    この画面からファイルの送信が可能です。<br />
    以下のフォームに必要事項を記入し，[ファイルを送信する]をクリックしてください。
    （<span class="required">※</span> 印は必須項目です。）
  </p>
  <p class="comment">
    正常に送信できない場合は右のバージョンをお試しください。
    （ <%= link_to '通常バージョン', action: :index -%>）
  </p>

  <%= render 'sender', f: f %>

  <%= render 'password', f: f %>

  <h2>３．受取人情報入力　（ファイルを受け取る相手の情報を入力してください）</h2>

  <%= render 'receivers_address_book', f: f %>

  <fieldset>
    <h2>４．送信するファイルの選択</h2>
    <span class="left"><%= @params_app_env['FILE_SEND_LIMIT'].to_i %>ファイル
    （合計<%= @params_app_env['FILE_TOTAL_SIZE_LIMIT'].to_i %>MB）まで送信できます。
    （1ファイルの最大サイズは<%= @params_app_env['FILE_SIZE_LIMIT'].to_i %>MBまで）</span>
    <% i=1 %>
    <% while i < 2 %>
      <%= fields_for :attachment, index: i do |f3| %>
      <div class="table-e">
        <div class="item">ファイル <%= i %>個目</div>
        <div class="input-l">
          <input id="attachment_<%= i %>_file" class="validate[required]" size= "30" type="file" name="attachment[<%= i %>][file]"><br />
        </div>
        <div class="input-r"></div>
        <div id="add_files"></div>
      </div>
      <% end %>
    <% i += 1 %>
    <% end %>
  </fieldset>

  <span class="right"><input type="button" onclick="add_file('attachment', 'add_files');" value="+ ファイルを追加" /></span>
  <p id="submitbtn" align="center"><%= image_submit_tag("common/but_send.gif" ) %></p>
  <br /><br />
<% end %>
